@charset "utf-8";

@import url(./global/_variable.css);
@import url(./layout/_reset.css);


/* common
  ---- memo ----
  font-feature-settings: 'palt';
  font-size: calc( 16 / var(--r_size) * 1rem );
  font-family: "Cormorant Garamond", serif;
  font-family: "Noto Serif JP", serif;
============================================ */
html {
  scroll-behavior: smooth;
  /*scroll-padding-top: 50px; check the header hight!*/
}

body {
	background: #fff;
	color: var(--font_c);
  font-family: var(--font_jp);
  font-weight: 400;
  min-height: 100vh;
  overflow-wrap: anywhere;
  line-break: strict;
  &.is-fixed {
    height: 100%;
    overflow: hidden;
  }
}

#wrapper {
  position:relative;
  overflow: hidden;
}

a {
  transition: all .3s ease-out;
}

/* img {
	max-width: 100%;
  height: auto;
} */

.pconly {
  @media (width < 896px) {
    display: none;
  }
}
.sponly {
  display: none;
  @media (width < 896px) {
    display: block;
  }
}
.portraitonly {
  display: none;
  @media (width < 480px) {
    display: block;
  }
}
.portraitnone {
  @media (width < 480px) {
    display: none;
  }
}
.tabonly {
  display: none;
  @media (width < 1025px) {
    display: block;
  }
}
.tabnone {
  @media (width < 1025px) {
    display: none;
  }
}

.newline {
	display: inline-block;
}

.w_1060 {
  max-width: 1060px;
  width: calc(100% - 40px);
  margin: 0 auto;
  container-type: inline-size;
}

.w_1340 {
  max-width: 1340px;
  width: calc(100% - 40px);
  margin: auto;
  container-type: inline-size;
}

.mt_large {
  margin-top: 7.8vw;
  @media (width < 480px) {
    margin-top: 70px;
  }
}

.mt_mid {
  margin-top: 5.2vw;
  @media (width < 480px) {
    margin-top: 40px;
  }
}

.pt_mid {
  padding-top: 5.2vw;
  @media (width < 480px) {
    padding-top: 40px;
  }
}

.mt_16px {
  margin-top: 16px;
}

.mt_30px {
  margin-top: 30px;
}

.pt_mid_n {
  padding-top: 5.2vw;
  @media (width < 480px) {
    padding-top: 16px;
  }
}

.outer {
  overflow: hidden;
}



/* pagetop
============================================ */
.pagetop_arrow {
  position: fixed;
  right: 70px;
  bottom: -100px;
  z-index: 1500;
  transition: all 300ms 0s ease;
  opacity: 0;
  a {
    overflow: hidden;
    outline: none;
    display: block;
    background-color: rgba(0,0,0,0.4);
    padding: 5px;
    img {
      width: 60px;
      height: auto;
    }
  }
  @media (max-width:1025px) {
    right: 10px;
  }
  @media (max-width:896px) {
    a {
      img {
        width: 30px;
      }
    }
  }
}
.fade_in {
  .pagetop_arrow {
    opacity: 1;
    transition: all 300ms 0s ease;
    bottom: 100px;
  }
}


.area_footer {
  padding-block: 6.25vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
  @media (width < 480px) {
    justify-content: center;
  }
}

.copyright {
  font-size: calc( 12 / var(--r_size) * 1rem );
  text-align: center;
  line-height: 1.6em;
  word-break: keep-all;
}

.area__header {
  width: 100%;
  box-sizing: border-box;
  padding: 32px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  @media (width < 896px) {
    padding: 12px 16px 10px;
  }
}

.logo_box {
  width: 240px;
  @media (width < 896px) {
    width: 140px;
  }
}

.g_nav {
  @media (width < 896px) {
    display: none;
  }
}

.list_nav {
  font-family: var(--font_en);
  font-size: calc( 20 / var(--r_size) * 1rem );
  line-height: 1.1em;
  display: flex;
  gap: 32px;
}

.main_contents {
  background-image: url(../images/bg_line.svg);
  background-position: center 38vw;
  background-size: 110%;
  background-repeat: no-repeat;
}

.area_visual {
  width: 100%;
  height: calc(100dvh - 110px - 3.125vw);
  box-sizing: border-box;
  display: grid;
  grid-template-columns: 1fr 74vw;
  align-items: center;
  @media (width < 896px) {
    display: block;
    height: auto;
  }
}

.area_visual_img {
  order: 2;
  overflow: hidden;
  height: 100%;
  position: relative;
  z-index: 10;
  @media (width < 896px) {
    height: auto;
    aspect-ratio: 16 / 9;
  }
  img {
    object-fit:cover;
    width: 100%;
    height: 100%;
  }
}

.area_visual_txt {
  order: 1;
  position: relative;
  z-index: 20;
  @media (width < 896px) {
  }
}

.area_visual_txt_inner {
  position: absolute;
  z-index: 30;
  top: 50%;
  transform: translateY(-50%);
  left: 4.1vw;
  @media (width < 896px) {
    position: relative;
    top: auto;
    transform: none;
    left: auto;
    padding: 0 20px;
    margin-top: -7.5em;
  }
}

.hd_lounge {
  font-size: clamp(3rem, 1.55vw + 2.636rem, 4.5rem);
  font-family: var(--font_en);
  font-weight: 700;
  line-height: 1.0em;
  letter-spacing: 0.05em;
  white-space: nowrap;
  background: linear-gradient(90deg, #E09188 0%, #C6CFB8 50%, #94C4C2 99.99%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  padding-bottom: 5px;
  display: inline-block;
}

.hd_aoyama {
  font-size: clamp(1.25rem, 0.52vw + 1.129rem, 1.75rem);
  line-height: 0.0em;
}

.txt_ttl {
  margin-top: 1.5em;
  padding-top: 1.8em;
  line-height: 2.4em;
  font-size: calc( 14 / var(--r_size) * 1rem );
  padding-right: 16px;
  position: relative;
  width: 22vw;
  &::before {
    content: "";
    display: block;
    width: 4vw;
    height: 1px;
    background-color: var(--font_c);
    position: absolute;
    top: 0px;
    left: 0px;
  }
  @media (width < 896px) {
    margin-top: 12px;
    padding-top: 12px;
    padding-right: 0px;
    width: 100%;
    line-height: 1.8em;
  }
}

.txt_open {
  font-size: clamp(1.25rem, 0.26vw + 1.189rem, 1.5rem);
  line-height: 1.1em;
  padding-top: 1.5em;
  @media (width < 896px) {
    padding-top: 8px;
  }
}

.box_ttl {
  text-align: center;
}

.hd_section {
  font-size: clamp(3.5rem, 4.79vw + 2.378rem, 8.125rem);
  line-height: 1em;
  font-family: var(--font_en);
  background: linear-gradient(90deg, #E09188 0%, #C6CFB8 50%, #94C4C2 99.99%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  display: inline-block;
  opacity: 0.6;
}

.hd_sub {
  font-size: clamp(1rem, 0.13vw + 0.969rem, 1.125rem);
  line-height: 1.4em;
  padding-top: 0px;
}

.area_remarks {
  display: grid;
  grid-template-columns: 57% 39%;
  gap: 3.58cqw;
  text-align: center;
  @media (width < 896px) {
    grid-template-columns: 1fr;
  }
}

.area_remarks_arrival {
  border-top: 1px solid #94C4C2;
  border-bottom: 1px solid #94C4C2;
  background: rgba(245, 250, 249, 0.80);
  padding: 2.98cqw;
  @media (width < 896px) {
    grid-template-columns: 1fr;
    padding: 12px 12px 5px 12px;
  }
  .hd_remarks,.hd_remarks_sub {
    color: #94C4C2;
  }
  .list_remarks {
    @media (width < 480px) {
      grid-template-columns: repeat(4,1fr);
    }
  }
  .item_remarks {
    .icon_remarks {
      @media (width < 480px) {
        width: 50px;
        margin: auto;
      }
    }
    &:hover {
      &::after {
        content: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='7' height='16' fill='none'><path d='M.5 0v14.628l5.336-5.336' stroke='%2394C4C2'/></svg>");
      }
    }
    a {
      &:hover {
        .txt_remarks {
          color: #94C4C2;
        }
      }
    }
  }
}

.area_remarks_wellness {
  border-top: 1px solid #E09188;
  border-bottom: 1px solid #E09188;
  background: rgba(252, 244, 244, 0.80);
  padding: 2.98cqw;
  @media (width < 896px) {
    padding: 12px 12px 5px 12px;
  }
  .hd_remarks,.hd_remarks_sub {
    color: #E09188;
  }
  .list_remarks {
    @media (width < 480px) {
      grid-template-columns: repeat(2,1fr);
    }
  }
  .item_remarks {
    &:hover {
      &::after {
        content: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='7' height='16' fill='none'><path d='M.5 0v14.628l5.336-5.336' stroke='%23E09188'/></svg>");
      }
    }
    a {
      &:hover {
        .txt_remarks {
          color: #E09188;
        }
      }
    }
    @media (width < 480px) {
      width: auto;
      .icon_remarks {
        img {
          max-width: 32px;
          min-width: 32px;
        }
      }
    }
  }
}

.hd_remarks {
  font-family: "Cormorant Garamond";
  font-size: clamp(1.25rem, 2.07vw + 0.764rem, 2.5rem);
  line-height: 1em;
  font-style: normal;
  font-weight: 500;
  line-height: 100%; /* 40px */
  letter-spacing: 1.2px;
}

.hd_remarks_sub {
  font-size: clamp(0.75rem, 0.21vw + 0.701rem, 0.875rem);
  line-height: 1em;
  padding-top: 8px;
  @media (width < 896px) {
    padding-top: 4px;
  }
}

.list_remarks {
  display: flex;
  justify-content: center;
  gap: 16px;
  @media (width < 480px) {
    display: grid;
    gap: 5px;
  }
}

.item_remarks {
  width: 11.94cqw;
  height: auto;
  align-content: top;
  position: relative;
  padding-top: 16px;
  padding-bottom: 28px;
  @media (width < 896px) {
    padding-bottom: 20px;
    padding-top: 8px;
  }
  @media (width < 480px) {
    width: auto;
  }
  &::after {
    content: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='7' height='16' fill='none'><path d='M.5 0v14.628l5.336-5.336' stroke='%235F6163'/></svg>");
    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
  }
}

.icon_remarks {
  img {
    width: 70%;
    max-width: 64px;
    min-width: 32px;
  }
}

.txt_remarks {
  font-size: clamp(0.75rem, 0.21vw + 0.701rem, 0.875rem);
  line-height: 1.1em;
  padding-top: 5px;
  font-feature-settings: "palt";
  word-break: keep-all;
  overflow-wrap: anywhere;
  align-content: center;
  @media (width < 896px) {
    padding-top: 0px;
    font-size: calc( 11 / var(--r_size) * 1rem );
  }

}

.column_about {
  text-align: center;
}

.column_about_txt {
  display: inline-block;
  margin: auto;
  text-align: left;
}

.dl_about {
  display: grid;
  grid-template-columns: 5em 1fr;
  gap: 8px;
  line-height: 1.8em;
  font-size: clamp(1rem, 0.29vw + 0.932rem, 1.125rem);
  font-feature-settings: "halt";
}

.btn_link {
  width: 100%;
  max-width: 250px;
  margin: auto;
  padding-top: 30px;
  a {
    display: block;
    max-width: 250px;
    height: 60px;
    border: var(--font_c) solid 1px;
    align-content: center;
    text-align: center;
    font-size: clamp(0.875rem, 0.13vw + 0.844rem, 1rem);
    line-height: 1em;
    position: relative;
    &::after {
      content: url("data:image/svg+xml,%3Csvg width='7' height='16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M.5 0v14.628l5.336-5.336' stroke='%235F6163'/%3E%3C/svg%3E");
      position: absolute;
      right: 12px;
      top: 54%;
      transform: translateY(-54%);
      transition: all .3s ease-out;
    }
    &:hover {
      border: var(--over_c) solid 1px;
      color: var(--over_c);
      &::after {
        content: url("data:image/svg+xml,%3Csvg width='7' height='16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M.5 0v14.628l5.336-5.336' stroke='%23E09188'/%3E%3C/svg%3E");
      }
    }
  }
}

.category_ttl {
  border-top: 1px solid #94C4C2;
  border-bottom: 1px solid #94C4C2;
  margin-inline: auto;
  max-width: 420px;
  width: 80%;
  text-align: center;
  padding-block: 16px;
}

.arrival {
  border-top: 1px solid #94C4C2;
  border-bottom: 1px solid #94C4C2;
  color: #94C4C2;
}

.wellness {
  border-top: 1px solid #E09188;
  border-bottom: 1px solid #E09188;
  color: #E09188;
}

.hd_category {
  font-size: clamp(1.625rem, 0.91vw + 1.413rem, 2.5rem);
  line-height: 1.1em;
  font-family: "Cormorant Garamond", serif;
}

.hd_category_sub {
  font-size: 14px;
  line-height: 1.4em;
  padding-top: 8px;
}

.list_service {
  display: grid;
  grid-template-columns: 1fr;
  gap: 6vw;
  @media (width < 480px) {
    gap: 70px;
  }
}

.item_service {
  display: flex;
  flex-wrap: wrap;
  gap: 4.42vw;
  align-items: end;
  @media (width < 480px) {
    gap: 60px;
  }
  &:nth-child(odd) {
    padding-right: 3vw;
    @media (width < 1025px) {
      padding-right: 0vw;
    }
    .item_service_ttl_en {
      left: -5vw;
      @media (width < 1025px) {
        left: auto;
        right: -2px;
      }
    }
  }
  &:nth-child(even) {
    flex-direction: row-reverse;
    padding-left: 3vw;
    @media (width < 1025px) {
      padding-left: 0vw;
    }
    .item_service_ttl_en {
      right: -5vw;
      @media (width < 1025px) {
        right: -2px;
      }
    }
  }
}

.item_service_img {
  width: 54.79%;
  position: relative;
  z-index: 30;
  margin-bottom: 6vw;
  @media (width < 1025px) {
    width: 100%;
    margin-bottom: 0vw;
  }
}

.item_service_txt {
  width: 40%;
  max-width: 490px;
  box-sizing: border-box;
  z-index: 20;
  position: relative;
  @media (width < 1025px) {
    width: 100%;
    max-width: 100%;
    padding: 20px 20px 0;
  }
}

.item_service_ttl_en {
  font-family: "Cormorant Garamond", serif;
  font-size: clamp(5rem, 1.29vw + 4.697rem, 6.25rem);
  background: linear-gradient(90deg, #E09188 0%, #C6CFB8 50%, #94C4C2 99.99%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  line-height: 0.8em;
  padding-block: 0.25em;
  opacity: 0.15;
  position: absolute;
  top: -1.3em;
  white-space: nowrap;
  text-align: right;
  @media (width < 1025px) {
    top: -0.87em;
  }
  @media (width < 896px) {
    top: -0.7em;
  }
  @media (width < 480px) {
    top: -1.1em;
  }
}

.hd_detail_service {
  font-size: clamp(1.125rem, 0.91vw + 0.913rem, 2rem);
  line-height: 1.6em;
  font-weight: 300;
}

.txt_detail_service {
  font-size: clamp(0.875rem, 0.13vw + 0.844rem, 1rem);
  line-height: 2em;
  padding-top: 16px;
  word-break: keep-all;
  overflow-wrap: anywhere;
  @media (width < 480px) {
    padding-top: 10px;
  }
}

.txt_detail_service_kome {
  font-size: calc( 13 / var(--r_size) * 1rem );
  line-height: 1.5em;
  padding: 3px 0 3px 1em;
  text-indent: -1em;
  word-break: keep-all;
  overflow-wrap: anywhere;
}

.dl_delivery {
  background-color: #FEFBF2;
  padding: 30px;
  display: grid;
  grid-template-columns: 8.5em 1fr;
  row-gap: 8px;
  margin-top: 20px;
  font-size: clamp(0.875rem, 0.13vw + 0.844rem, 1rem);
}

.dt_delivery {
  span {
    padding-right: 5px;
  }
}

.uke {
  color: #E09188;
}

.kak {
  color: #C6CFB8;
}

.siz {
  color: #94C4C2;
}

.dl_shop {
  padding-top: 16px;
  font-size: clamp(0.875rem, 0.13vw + 0.844rem, 1rem);
  line-height: 1.6em;
}
.dd_shop {
  padding-left: 1em;
  word-break: keep-all;
}

.grad_plus {
  background: linear-gradient(180deg, rgba(148, 196, 194, 0.0) 0.01%, rgba(198, 207, 184, 0.10) 41%, rgba(224, 145, 136, 0.10) 81.99%);
  padding-bottom: 4.42vw;
  @media (width < 480px) {
    padding-bottom: 60px;
  }
}

.area_access {
  padding-block: 7.8vw;
  background: linear-gradient(117deg, rgba(224, 145, 136, 0.10) 0.43%, rgba(198, 207, 184, 0.10) 50%, rgba(148, 196, 194, 0.10) 99.56%);
  @media (width < 480px) {
    padding-block: 50px;
  }
}

.column_access {
  display: grid;
  grid-template-columns: 53% 1fr;
  gap: 5.2cqw;
  @media (width < 896px) {
    grid-template-columns: 1fr;
  }
}

.column_access_map {
  position: relative;
  order: 2;
  iframe {
    position: relative;
    width: 100%;
    height: 100%;
    @media (width < 896px) {
      aspect-ratio: 4 / 3;
    }
  }
  @media (width < 896px) {
    order: 1;
  }
}

.column_access_txt {
  order: 1;
  @media (width < 896px) {
    order: 2;
  }
}

.dl_access {
  font-size: clamp(0.875rem, 0.41vw + 0.778rem, 1.125rem);
  line-height: 2em;
  display: grid;
  grid-template-columns: 7em 1fr;
  padding-block: 24px;
  border-bottom: 1px solid #DFEBE7;
}

.area_contact {
  padding-block: 7.8vw;
  @media (width < 480px) {
    padding-block: 50px;
  }
}

.btn_contact {
  position: relative;
  a {
    &:hover {
      .shade_contact {
        background: none;
        padding: 2px;
        &::before {
          content: "";
          position: absolute;
          inset: 0;
          padding: 2px;
          width: 100%;
          line-height: 100%;
          box-sizing: border-box;
          background:
            linear-gradient(
              91deg,
              rgba(224, 145, 136, 0.90) 0.67%,
              rgba(198, 207, 184, 0.90) 50.34%,
              rgba(148, 196, 194, 0.90) 99.99%
            );
          -webkit-mask:
            linear-gradient(#000 0 0) content-box,
            linear-gradient(#000 0 0);                    /* 中抜き用マスク */
          -webkit-mask-composite: destination-out;
          mask-composite: exclude;
        }
        .shade_inner {
          background-color: rgba(255,255,255,0.9);
          .ttl_contact {
            .hd_contact {
              background: linear-gradient(90deg, #E09188 0%, #C6CFB8 50%, #94C4C2 99.99%);
              -webkit-background-clip: text;
              -webkit-text-fill-color: transparent;
            }
            .hd_contact_sub {
              background: linear-gradient(90deg, #E09188 0%, #C6CFB8 50%, #94C4C2 99.99%);
              -webkit-background-clip: text;
              -webkit-text-fill-color: transparent;
            }
          }
          .arrow_contact {
            .arrow_w {
              path {
                stroke: #94C4C2;
              }
            }
          }
        }
      }
    }
    .img_contact {
      position: relative;
      @media (width < 480px) {
        overflow: hidden;
        aspect-ratio: 67 / 22;
        img {
          object-fit: cover;
          width: 100%;
          height: 100%;
        }
      }
    }
    .shade_contact {
      position: absolute;
      top: 0px;
      left: 0px;
      background: linear-gradient(91deg, rgba(224, 145, 136, 0.90) 0.67%, rgba(198, 207, 184, 0.90) 50.34%, rgba(148, 196, 194, 0.90) 99.99%);
      width: 100%;
      height: 100%;
      transition: all .3s ease-out;
      .shade_inner {
        position: relative;
        width: 100%;
        height: 100%;
        padding: 4.47cqw;
        align-content: center;
        align-items: center;
        display: grid;
        grid-template-columns: auto 1fr;
        transition: all .3s ease-out;
        @media (width < 480px) {
          padding: 24px;
        }
        .ttl_contact {
          display: grid;
          grid-template-columns: auto auto;
          column-gap: 30px;
          align-items: center;
          letter-spacing: 0.05em;
          @media (width < 480px) {
            grid-template-columns: auto;
          }
          .hd_contact {
            color: #FFF;
            font-size: clamp(2.5rem, 4.15vw + 1.529rem, 5rem);
            font-family: "Cormorant Garamond", serif;
            line-height: 1em;
            transition: all .3s ease-out;
          }
          .hd_contact_sub {
            color: #FFF;
            font-size: clamp(0.875rem, 0.42vw + 0.776rem, 1.125rem);
            line-height: 1em;
            padding-top: 10px;
            transition: all .3s ease-out;
            @media (width < 480px) {
              padding-top: 4px;
              padding-left: 3px;
            }
          }
        }
        .arrow_contact {
          text-align: right;
          .arrow_w {
            transition: all .3s ease-out;
            @media (width < 896px) {
              width: 24px;   /* 目標の横幅 */
              height: auto;  /* 縦は比率に合わせて自動 */
              display: block;
              margin: 0 0 0 auto;
            }
          }
        }
      }
    }
  }
}
